[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# operator **(variant, variant): variant

Implement power (**) operation on variants.

## Declaration

Source position: varianth.inc line 369

`operator operator **(variant, variant): variant(`
`const op1: variant;`
`const op2: variant`
`):variant;`

## Description

The implementation of the power ** operation is delegated to the variant manager with operation opPower.

## Errors

Execution of this operator may result in an exception if no variant manager is installed or if the types of the operand are not suitable for the operation.

## See also

operator *(variant, variant): variant |  | Implement multiplication (*) operation on variants.

Documentation generated on: Feb 26 2014